#pragma once

#include "stdint.h"

#include <map>
#include <string>

using namespace std;

//! A simple window message converter class.
/*! On construction the \c MessageTable looks for a file called "Messages.txt",
 *  which maps window message numbers onto their names and vice versa.
 */
class MessageTable {
   private:
      void load(const string);
      static map<uint16_t, string> mMessages; //!< A map to hold message data.
   public:
      MessageTable();
      static const string get_name(const uint16_t);
      static const uint16_t get_number(const string);
};
